CVE-2019-13616

NameCVE-2019-13616
DescriptionSDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 has a heap-based buffer over-read in BlitNtoN in video/SDL_blit_N.c when called from SDL_SoftBlit in video/SDL_blit.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libsdl1.2 (PTS)jessie1.2.15-10vulnerable
jessie (security)1.2.15-10+deb8u1vulnerable
stretch1.2.15+dfsg1-4vulnerable
buster, bullseye, sid1.2.15+dfsg2-4vulnerable
libsdl2 (PTS)jessie2.0.2+dfsg1-6vulnerable
jessie (security)2.0.2+dfsg1-6+deb8u1vulnerable
stretch2.0.5+dfsg1-2vulnerable
buster, bullseye, sid2.0.9+dfsg1-1vulnerable
libsdl2-image (PTS)jessie2.0.0+dfsg-3+deb8u1vulnerable
jessie (security)2.0.0+dfsg-3+deb8u2vulnerable
stretch (security), stretch2.0.1+dfsg-2+deb9u1vulnerable
buster2.0.4+dfsg1-1vulnerable
bullseye, sid2.0.5+dfsg1-1vulnerable
sdl-image1.2 (PTS)jessie1.2.12-5+deb8u1vulnerable
jessie (security)1.2.12-5+deb8u2vulnerable
stretch (security), stretch1.2.12-5+deb9u1vulnerable
buster1.2.12-10vulnerable
bullseye, sid1.2.12-11vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libsdl1.2source(unstable)(unfixed)medium
libsdl2source(unstable)(unfixed)medium
libsdl2-imagesource(unstable)(unfixed)medium
sdl-image1.2source(unstable)(unfixed)medium

Notes

[buster] - libsdl2 <no-dsa> (Minor issue)
[stretch] - libsdl2 <no-dsa> (Minor issue)
[jessie] - libsdl2 <postponed> (can be fixed along with more important patches)
[buster] - libsdl1.2 <no-dsa> (Minor issue)
[stretch] - libsdl1.2 <no-dsa> (Minor issue)
[jessie] - libsdl1.2 <postponed> (can be fixed along with more important patches)
[buster] - libsdl2-image <no-dsa> (Minor issue)
[stretch] - libsdl2-image <no-dsa> (Minor issue)
[jessie] - libsdl2-image <postponed> (can be fixed along with more important patches)
[buster] - sdl-image1.2 <no-dsa> (Minor issue)
[stretch] - sdl-image1.2 <no-dsa> (Minor issue)
[jessie] - sdl-image1.2 <postponed> (can be fixed along with more important patches)
https://bugzilla.libsdl.org/show_bug.cgi?id=4538
libsdl2: https://hg.libsdl.org/SDL/rev/e7ba650a643a
libsdl1.2: https://hg.libsdl.org/SDL/rev/ad1bbfbca760
libsdl2-image: https://hg.libsdl.org/SDL_image/rev/ba45f00879ba
sdl-image1.2: https://hg.libsdl.org/SDL_image/rev/a59bfe382008

Search for package or bug name: Reporting problems